## libdb1 1.85.4-osso4

=== PORT/linux/Makefile ===
#	@(#)Makefile	8.9 (Berkeley) 7/14/94

prefix = /root/usr
libdir = ${prefix}/lib
includedir = ${prefix}/include

INSTALL = install -c
LN	= ln -s

LIBNAME		= libdb
MAJ_VERSION 	= 1
MIN_VERSION 	= 85
TINY_VERSION 	= 4
VERSION 	= ${MAJ_VERSION}.${MIN_VERSION}.${TINY_VERSION}

LIBDB	= ${LIBNAME}.a
SHLIBDB	= ${LIBNAME}.so.${VERSION}
SONAME	= ${LIBNAME}.so.${MAJ_VERSION}
CC := /usr/bin/gcc

OBJ1=	hash.o hash_bigkey.o hash_buf.o \
	hash_func.o hash_log2.o hash_page.o \
	hsearch.o ndbm.o
OBJ2=	bt_close.o bt_conv.o bt_debug.o \
	bt_delete.o bt_get.o bt_open.o \
	bt_overflow.o bt_page.o bt_put.o \
	bt_search.o bt_seq.o bt_split.o bt_utils.o
OBJ3=	db.o
OBJ4=	mpool.o
OBJ5=	rec_close.o rec_delete.o rec_get.o \
	rec_open.o rec_put.o rec_search.o \
	rec_seq.o rec_utils.o
MISC=	# snprintf.o

OBJS=	${OBJ1} ${OBJ2} ${OBJ3} ${OBJ4} ${OBJ5} ${MISC}

all: ${LIBDB} ${SHLIBDB}

${LIBDB}: ${OBJS}
	rm -f $@
	ar cq $@ static/*.o
	ranlib $@

${SHLIBDB}: ${OBJS}
	rm -f $@
	${CC} -shared -Wl,-soname,${SONAME} -Wl,-lc shared/*.o -o $@

install:
	-mkdir ${libdir}
	-mkdir ${includedir}
	${INSTALL} -m 644 ${LIBDB} ${libdir}/${LIBDB}
	${INSTALL} -m 755 ${SHLIBDB} ${libdir}/${SHLIBDB}
	(cd ${libdir}; ${LN} ${SHLIBDB} ${SONAME})
#	${LN} ${libdir}/${SHLIBDB} ${libdir}/${LIBNAME}.so
	${INSTALL} -m 644 include/mpool.h ${includedir}/mpool.h
	${INSTALL} -m 644 include/db.h ${includedir}/db.h

clean:
	rm -f ${LIBDB} ${SHLIBDB}
	rm -f static/* shared/*

OORG=	-O6 -fomit-frame-pointer -D_REENTRANT
CL=	${CC} -c -D__DBINTERFACE_PRIVATE ${OORG} -I. -Iinclude
CS=	${CC} -fPIC -c -D__DBINTERFACE_PRIVATE ${OORG} -I. -Iinclude

hash.o: ../../hash/hash.c
	${CL} -I../../hash ../../hash/hash.c -o static/$@
	${CS} -I../../hash ../../hash/hash.c -o shared/$@

hash_bigkey.o: ../../hash/hash_bigkey.c
	${CL} -I../../hash ../../hash/hash_bigkey.c -o static/$@
	${CS} -I../../hash ../../hash/hash_bigkey.c -o shared/$@

hash_buf.o: ../../hash/hash_buf.c
	${CL} -I../../hash ../../hash/hash_buf.c -o static/$@
	${CS} -I../../hash ../../hash/hash_buf.c -o shared/$@

hash_func.o: ../../hash/hash_func.c
	${CL} -I../../hash ../../hash/hash_func.c -o static/$@
	${CS} -I../../hash ../../hash/hash_func.c -o shared/$@

hash_log2.o: ../../hash/hash_log2.c
	${CL} -I../../hash ../../hash/hash_log2.c -o static/$@
	${CS} -I../../hash ../../hash/hash_log2.c -o shared/$@

hash_page.o: ../../hash/hash_page.c
	${CL} -I../../hash ../../hash/hash_page.c -o static/$@
	${CS} -I../../hash ../../hash/hash_page.c -o shared/$@

hsearch.o: ../../hash/hsearch.c
	${CL} -I../../hash ../../hash/hsearch.c -o static/$@
	${CS} -I../../hash ../../hash/hsearch.c -o shared/$@

ndbm.o: ../../hash/ndbm.c
	${CL} -I../../hash ../../hash/ndbm.c -o static/$@
	${CS} -I../../hash ../../hash/ndbm.c -o shared/$@

bt_close.o: ../../btree/bt_close.c
	${CL} -I../../btree ../../btree/bt_close.c -o static/$@
	${CS} -I../../btree ../../btree/bt_close.c -o shared/$@

bt_conv.o: ../../btree/bt_conv.c
	${CL} -I../../btree ../../btree/bt_conv.c -o static/$@
	${CS} -I../../btree ../../btree/bt_conv.c -o shared/$@

bt_debug.o: ../../btree/bt_debug.c
	${CL} -I../../btree ../../btree/bt_debug.c -o static/$@
	${CS} -I../../btree ../../btree/bt_debug.c -o shared/$@

bt_delete.o: ../../btree/bt_delete.c
	${CL} -I../../btree ../../btree/bt_delete.c -o static/$@
	${CS} -I../../btree ../../btree/bt_delete.c -o shared/$@

bt_get.o: ../../btree/bt_get.c
	${CL} -I../../btree ../../btree/bt_get.c -o static/$@
	${CS} -I../../btree ../../btree/bt_get.c -o shared/$@

bt_open.o: ../../btree/bt_open.c
	${CL} -I../../btree ../../btree/bt_open.c -o static/$@
	${CS} -I../../btree ../../btree/bt_open.c -o shared/$@

bt_overflow.o: ../../btree/bt_overflow.c
	${CL} -I../../btree ../../btree/bt_overflow.c -o static/$@
	${CS} -I../../btree ../../btree/bt_overflow.c -o shared/$@

bt_page.o: ../../btree/bt_page.c
	${CL} -I../../btree ../../btree/bt_page.c -o static/$@
	${CS} -I../../btree ../../btree/bt_page.c -o shared/$@

bt_put.o: ../../btree/bt_put.c
	${CL} -I../../btree ../../btree/bt_put.c -o static/$@
	${CS} -I../../btree ../../btree/bt_put.c -o shared/$@

bt_search.o: ../../btree/bt_search.c
	${CL} -I../../btree ../../btree/bt_search.c -o static/$@
	${CS} -I../../btree ../../btree/bt_search.c -o shared/$@

bt_seq.o: ../../btree/bt_seq.c
	${CL} -I../../btree ../../btree/bt_seq.c -o static/$@
	${CS} -I../../btree ../../btree/bt_seq.c -o shared/$@

bt_split.o: ../../btree/bt_split.c
	${CL} -I../../btree ../../btree/bt_split.c -o static/$@
	${CS} -I../../btree ../../btree/bt_split.c -o shared/$@

bt_stack.o: ../../btree/bt_stack.c
	${CL} -I../../btree ../../btree/bt_stack.c -o static/$@
	${CS} -I../../btree ../../btree/bt_stack.c -o shared/$@

bt_utils.o: ../../btree/bt_utils.c
	${CL} -I../../btree ../../btree/bt_utils.c -o static/$@
	${CS} -I../../btree ../../btree/bt_utils.c -o shared/$@

db.o: ../../db/db.c
	${CL} ../../db/db.c -o static/$@
	${CS} ../../db/db.c -o shared/$@

mpool.o: ../../mpool/mpool.c
	${CL} -I../../mpool ../../mpool/mpool.c -o static/$@
	${CS} -I../../mpool ../../mpool/mpool.c -o shared/$@

rec_close.o: ../../recno/rec_close.c
	${CL} -I../../recno ../../recno/rec_close.c -o static/$@
	${CS} -I../../recno ../../recno/rec_close.c -o shared/$@

rec_delete.o: ../../recno/rec_delete.c
	${CL} -I../../recno ../../recno/rec_delete.c -o static/$@
	${CS} -I../../recno ../../recno/rec_delete.c -o shared/$@

rec_get.o: ../../recno/rec_get.c
	${CL} -I../../recno ../../recno/rec_get.c -o static/$@
	${CS} -I../../recno ../../recno/rec_get.c -o shared/$@

rec_open.o: ../../recno/rec_open.c
	${CL} -I../../recno ../../recno/rec_open.c -o static/$@
	${CS} -I../../recno ../../recno/rec_open.c -o shared/$@

rec_put.o: ../../recno/rec_put.c
	${CL} -I../../recno ../../recno/rec_put.c -o static/$@
	${CS} -I../../recno ../../recno/rec_put.c -o shared/$@

rec_search.o: ../../recno/rec_search.c
	${CL} -I../../recno ../../recno/rec_search.c -o static/$@
	${CS} -I../../recno ../../recno/rec_search.c -o shared/$@

rec_seq.o: ../../recno/rec_seq.c
	${CL} -I../../recno ../../recno/rec_seq.c -o static/$@
	${CS} -I../../recno ../../recno/rec_seq.c -o shared/$@

rec_utils.o: ../../recno/rec_utils.c
	${CL} -I../../recno ../../recno/rec_utils.c -o static/$@
	${CS} -I../../recno ../../recno/rec_utils.c -o shared/$@

memmove.o:
	${CC} -DMEMMOVE -c -O -I. -Iinclude clib/memmove.c -o static/$@
	${CC} -fPIC -DMEMMOVE -c -O -I. -Iinclude clib/memmove.c -o shared/$@
mktemp.o:
	${CC} -c -O -I. -Iinclude clib/mktemp.c -o static/$@
	${CC} -fPIC -c -O -I. -Iinclude clib/mktemp.c -o shared$@

snprintf.o:
	${CC} -c -O -I. -Iinclude clib/snprintf.c -o static/$@
	${CC} -fPIC -c -O -I. -Iinclude clib/snprintf.c -o shared/$@

=== debian/changelog ===
libdb1 (1.85.4-osso4) unstable; urgency=low

  * cleanup: directory docs removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu,  1 Dec 2005 13:15:34 +0200

libdb1 (1.85.4-osso3) unstable; urgency=low

  * source cleanup 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon, 17 Oct 2005 15:30:39 +0300

libdb1 (1.85.4-osso2) unstable; urgency=low

  * added typedefs for u_int, u_short types to db.h to
    allow compilation for non-BSD souces

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed,  1 Jun 2005 20:28:33 +0300

libdb1 (1.85.4-osso1) unstable; urgency=low

  * Recompiled for osso platform to coexist with libdb1-compat

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 19 May 2005 17:47:21 +0300

=== debian/control ===
Source: libdb1
Section: libs
Priority: extra
Maintainer: Eduard Bartosh <eduard.bartohs@nokia.com>
Build-Depends: debhelper (>> 3.0.0), gcc, libc6-dev
Standards-Version: 3.6.1

Package: libdb1-dev
Architecture: any
Depends: libdb1 (= ${Source-Version}), libc6
Provides: libdb1-dev
Description: The Berkeley database routines (development files)
 libdb is a library for manipulating database files, developed at Berkeley.
 .
 It supports three kinds of file formats:
  * btree. A representation of a sorted, balanced tree structure.
  * hashed. An extensible, dynamic hashing scheme.
  * UNIX file oriented. A byte stream file with fixed or variable length
    records.

Package: libdb1
Architecture: any
Replaces: libdb1-compat
Provides: libdb1-compat
Depends: ${shlibs:Depends}
Description: The Berkeley database routines (runtime version)
 libdb is a library for manipulating database files, developed at Berkeley.
 .
 It supports three kinds of file formats:
  * btree. A representation of a sorted, balanced tree structure.
  * hashed. An extensible, dynamic hashing scheme.
  * UNIX file oriented. A byte stream file with fixed or variable length
    records.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

package=libdb1

# shared library versions, option 1
version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	-(cd PORT/linux; $(MAKE))

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-cd PORT/linux; $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	# Add here commands to install the package into debian/tmp
	mkdir -p debian/tmp/usr/include/db
	(cd PORT/linux; $(MAKE) prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db)
	(cd PORT/linux; $(MAKE) prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db install)
	cp include/db.h include/mpool.h debian/tmp/usr/include/db

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

	dh_installdocs
	dh_installman

	(cd debian/$(package)-dev/usr/share/man/man3; \
	 for name in *.3; do newname=`basename $$name .3`; mv $$name $$newname.3db; done)

	dh_installchangelogs changelog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libdb1 1.85.4-osso7

=== PORT/linux/Makefile ===
--- 
+++ 
@@ -60,8 +60,8 @@
 	rm -f static/* shared/*
 
 OORG=	-O6 -fomit-frame-pointer -D_REENTRANT
-CL=	${CC} -c -D__DBINTERFACE_PRIVATE ${OORG} -I. -Iinclude
-CS=	${CC} -fPIC -c -D__DBINTERFACE_PRIVATE ${OORG} -I. -Iinclude
+CL=	${CC} -g -c -D__DBINTERFACE_PRIVATE ${OORG} -I. -Iinclude
+CS=	${CC} -g -fPIC -c -D__DBINTERFACE_PRIVATE ${OORG} -I. -Iinclude
 
 hash.o: ../../hash/hash.c
 	${CL} -I../../hash ../../hash/hash.c -o static/$@
@@ -192,12 +192,12 @@
 	${CS} -I../../recno ../../recno/rec_utils.c -o shared/$@
 
 memmove.o:
-	${CC} -DMEMMOVE -c -O -I. -Iinclude clib/memmove.c -o static/$@
-	${CC} -fPIC -DMEMMOVE -c -O -I. -Iinclude clib/memmove.c -o shared/$@
+	${CC} -g -DMEMMOVE -c -O -I. -Iinclude clib/memmove.c -o static/$@
+	${CC} -g -fPIC -DMEMMOVE -c -O -I. -Iinclude clib/memmove.c -o shared/$@
 mktemp.o:
-	${CC} -c -O -I. -Iinclude clib/mktemp.c -o static/$@
-	${CC} -fPIC -c -O -I. -Iinclude clib/mktemp.c -o shared$@
+	${CC} -g -c -O -I. -Iinclude clib/mktemp.c -o static/$@
+	${CC} -g -fPIC -c -O -I. -Iinclude clib/mktemp.c -o shared$@
 
 snprintf.o:
-	${CC} -c -O -I. -Iinclude clib/snprintf.c -o static/$@
-	${CC} -fPIC -c -O -I. -Iinclude clib/snprintf.c -o shared/$@
+	${CC} -g -c -O -I. -Iinclude clib/snprintf.c -o static/$@
+	${CC} -g -fPIC -c -O -I. -Iinclude clib/snprintf.c -o shared/$@

=== debian/changelog ===
libdb1 (1.85.4-osso7) unstable; urgency=low

  * Fix debug build, was without -g. Fixes: NB#40812 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 25 Oct 2006 12:55:29 +0300

libdb1 (1.85.4-osso6) unstable; urgency=low

  * Produce -dbg package. Fixes: NB#40812

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 17 Oct 2006 16:19:34 +0300

libdb1 (1.85.4-osso5) unstable; urgency=low

  * Removed unneeded Provides. Fixes: NB#33571 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 12 Jul 2006 14:01:18 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,19 @@
 Source: libdb1
 Section: libs
 Priority: extra
-Maintainer: Eduard Bartosh <eduard.bartohs@nokia.com>
-Build-Depends: debhelper (>> 3.0.0), gcc, libc6-dev
+Maintainer: Eduard Bartosh <yauheni.kaliuta@nokia.com>
+Build-Depends: debhelper (>> 3.0.0), dpatch
 Standards-Version: 3.6.1
+
+Package: libdb1-dbg
+Architecture: any
+Depends: libdb1 (= ${Source-Version})
+Description: The Berkeley database routines (debug files)
+ libdb is a library for manipulating database files, developed at Berkeley.
 
 Package: libdb1-dev
 Architecture: any
 Depends: libdb1 (= ${Source-Version}), libc6
-Provides: libdb1-dev
 Description: The Berkeley database routines (development files)
  libdb is a library for manipulating database files, developed at Berkeley.
  .

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,15 @@
 # This is the debhelper compatability version to use.
 export DH_COMPAT=3
 
+include /usr/share/dpatch/dpatch.make
+
 package=libdb1
 
 # shared library versions, option 1
 version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
 major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')
 
-configure: configure-stamp
+configure: patch-stamp configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
@@ -30,7 +32,7 @@
 
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
@@ -48,7 +50,7 @@
 	
 	# Add here commands to install the package into debian/tmp
 	mkdir -p debian/tmp/usr/include/db
-	(cd PORT/linux; $(MAKE) prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db)
+	(cd PORT/linux; $(MAKE) CFLAGS=-g prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db)
 	(cd PORT/linux; $(MAKE) prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db install)
 	cp include/db.h include/mpool.h debian/tmp/usr/include/db
 
@@ -70,7 +72,7 @@
 
 	dh_installchangelogs changelog
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=libdb1
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## libdb1 1.85.4-osso9+0m5

=== debian/changelog ===
libdb1 (1.85.4-osso9+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Mon, 24 Aug 2009 15:15:36 +0300

libdb1 (1.85.4-osso9) unstable; urgency=low

  * Use -O2 compiler optimization. Fixes: NB#130593.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Thu, 20 Aug 2009 17:19:33 +0300

libdb1 (1.85.4-osso8) unstable; urgency=low

  * Recompile. Fixes: NB#94851

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 09 Dec 2008 18:07:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	touch configure-stamp
 
 build: build-stamp
-build-stamp: configure-stamp 
+build-stamp: configure
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -35,7 +35,7 @@
 clean: unpatch
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp configure-stamp patch-stamp
 
 	# Add here commands to clean up after the build process.
 	-cd PORT/linux; $(MAKE) clean
@@ -50,7 +50,7 @@
 	
 	# Add here commands to install the package into debian/tmp
 	mkdir -p debian/tmp/usr/include/db
-	(cd PORT/linux; $(MAKE) CFLAGS=-g prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db)
+	(cd PORT/linux; $(MAKE) CFLAGS="-g -O2" prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db)
 	(cd PORT/linux; $(MAKE) prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db install)
 	cp include/db.h include/mpool.h debian/tmp/usr/include/db
